:host {
  position: absolute;
  left: 50%;
  right: 0;
  top: 64px;
  bottom: 0;
  overflow-x: hidden;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
  scroll-behavior: smooth;
  background-color: #fff;

  .footer {
    background-color: #fff;
    border-top: 1px solid rgba(0, 0, 0, 0.1);

    mat-toolbar-row {
      padding: 16px 36px 0px 36px;
      height: auto;
    }
  }

  ::ng-deep {
    .notification-info {
      border-radius: 4px;
      background-color: rgb(229, 246, 253);
      display: flex;
      padding: 16px;
      color: rgb(1, 67, 97);
      margin: 0;

      .mat-mdc-card-content {
        padding: 0;
        margin-bottom: 0 !important;
      }
    }

    .notification-alert {
      border-radius: 4px;
      background-color: rgb(255, 244, 229);
      display: flex;
      padding: 16px;
      color: rgb(102, 60, 0);
      margin: 0;

      .mat-mdc-card-content {
        padding: 0;
        margin-bottom: 0 !important;
      }
    }

    .mat-mdc-card {
      margin: 10px 20px;
      border: none;
      border-radius: none;
      box-shadow: none;

      .mat-mdc-card-title {
        font-size: 24px;
        font-weight: 500;
        margin-bottom: 8px;
      }

      .mat-mdc-card-content {
        padding: 0;
        font-size: 14px;
        margin-bottom: 16px;
      }

      .form-field-full-width {
        width: 100%;
      }

      .mat-mdc-card-footer {
        padding: 8px 0;
        font-size: 14px;
      }
    }

    .page {
      margin-right: 8px;
      min-width: auto;
    }

    .required {
      padding-left: 4px;
      color: red;
    }

    * {
      touch-action: auto;
    }
  }

  div.page {
    display: flex;
    align-items: center;
    width: 100%;
    margin-top: 24px;

    &:first-of-type {
      margin-top: 0;
      margin-bottom: 0;
    }

    > div {
      flex-grow: 1;

      &:first-of-type {
        margin-left: 24px;
      }

      &:last-of-type {
        margin-right: 24px;
      }

      &:nth-of-type(2) {
        flex-grow: 0;
        white-space: nowrap;
        padding: 0 1em;
        font-size: 11px;
        font-family: Tahoma, Arial;
        text-transform: uppercase;
        color: #000;
        opacity: 0.5;
        cursor: default;
      }

      &:first-of-type,
      &:last-of-type {
        height: 1px;
        border-bottom: 1px dashed #000;
        opacity: 0.25;
      }
    }
  }
}
